angular.module('focaCrearHojaRuta')
    .factory('hojaRutaBusinessService', [
        'crearHojaRutaService',
        function(crearHojaRutaService) {
        return {
            addArticulos: function(articulosHojaRuta, idHojaRuta, cotizacion) {
                for(var i = 0; i < articulosHojaRuta.length; i++) {
                    delete articulosHojaRuta[i].editCantidad;
                    delete articulosHojaRuta[i].editPrecio;
                    articulosHojaRuta[i].idHojaRuta = idHojaRuta;
                    articulosHojaRuta[i].precio = articulosHojaRuta[i].precio * cotizacion;
                    crearHojaRutaService.crearArticulosParaHojaRuta(articulosHojaRuta[i]);
                }
            },
            addEstado: function(idHojaRuta, idVendedor) {
                var date = new Date();
                var estado = {
                    idHojaRuta: idHojaRuta,
                    fecha: new Date(date.getTime() - (date.getTimezoneOffset() * 60000))
                                        .toISOString().slice(0, 19).replace('T', ' '),
                    estado: 0,
                    idVendedor: idVendedor
                };
                crearHojaRutaService.crearEstadoParaHojaRuta(estado);
            }
        };
    }]);
